Modify

Opened 8 years ago

Closed 8 years ago

Last modified 2 years ago

#5242 closed defect (fixed)

Still something wrong in trunk revision 16216

Reported by: jake1981 <oskari.rauta@…> Owned by: developers
Priority: high Milestone: Barrier Breaker 14.07
Component: base system Version: Trunk
Keywords: segfault segmentation fault eth0.1 2.6 udhcpc dhcp wan internet ip Cc:

Description (last modified by juhosg)

Okay - hotplug2 now seems to work (lan works) - BUT now there seems to be another issue - I cannot connect to internet from my lan - WAN IP cannot be set and there are a lot of segfaults. Device is wrt54gs v1.0 with branch brcm47xx-2.6

I use udhcpc to get ip for WAN - everytime I do something that has something to do with WAN if (eth0.1) - I run into big problems called segmentation fault..

Also it would seem that also wireless won't start (atleast I cannot find it's essid, haven't checked yet if logs reveal anything about that..)

Here are some outputs from my syslog:

May 28 19:22:48 (none) sysinit: Loading rules
May 28 19:22:48 (none) sysinit: Loading includes
May 28 19:22:50 (none) root: adding lan (br-lan) to firewall zone lan
May 28 19:22:52 (none) root: adding wan (eth0.1) to firewall zone wan
May 28 19:22:53 (none) sysinit: Aiee, segfault! You should propably report this as a bug to the developer
May 28 19:23:00 (none) sysinit: Segmentation fault
May 28 19:23:05 (none) dnsmasq[1441]: started, version 2.47 cachesize 150

Here's some testing:

root@Gateway:/# ping www.google.fi
Segmentation fault

And:

root@Gateway:/# /etc/init.d/dropbear start
Aiee, segfault! You should propably report this as a bug to the developer

Attachments (0)

Change History (15)

comment:1 Changed 8 years ago by juhosg

  • Description modified (diff)

comment:2 Changed 8 years ago by anonymous

Same issue here on AR71xx platform. Could it be uClibc 0.9.30.1 introduced a couple days ago? I've tried to downgrade to 0.9.29 and it seems to fix the issue.

comment:3 Changed 8 years ago by anonymous

r16218, no seg faults here, ar71xx

i think you should try rebuilding from scratch, maybe the buildroot didn't rebuild some packages when uclibc or some other lib changed and they still depend on the old version.

just a guess.

root@OpenWrt:~# ping -c 3 google.com
PING google.com (209.85.171.100): 56 data bytes
64 bytes from 209.85.171.100: seq=0 ttl=236 time=206.571 ms
64 bytes from 209.85.171.100: seq=1 ttl=236 time=212.058 ms
64 bytes from 209.85.171.100: seq=2 ttl=236 time=208.884 ms

--- google.com ping statistics ---
3 packets transmitted, 3 packets received, 0% packet loss
round-trip min/avg/max = 206.571/209.171/212.058 ms
root@OpenWrt:~# ls /lib    
ar71xx.sh              ld-uClibc.so.0         libgcc_s.so.1          libresolv.so.0         modules
config                 libc.so.0              libm-0.9.30.1.so       libuClibc-0.9.30.1.so  network
firewall               libcrypt-0.9.30.1.so   libm.so.0              libuci.so              upgrade
firmware               libcrypt.so.0          libnsl-0.9.30.1.so     libuci.so.0.7          wifi
hotplug2               libdl-0.9.30.1.so      libnsl.so.0            libutil-0.9.30.1.so
ld-uClibc-0.9.30.1.so  libdl.so.0             libresolv-0.9.30.1.so  libutil.so.0
root@OpenWrt:~# uname -a
Linux OpenWrt 2.6.28.10 #10 Sat May 30 21:30:06 EEST 2009 mips unknown
root@OpenWrt:~# cat /proc/cpuinfo 
system type             : Atheros AR9130 rev 1 (id:0xb4)
machine                 : TRENDnet TEW-632BRP
processor               : 0
cpu model               : MIPS 24Kc V7.4
BogoMIPS                : 266.24
wait instruction        : yes
microsecond timers      : yes
tlb_entries             : 16
extra interrupt vector  : yes
hardware watchpoint     : yes, count: 4, address/irw mask: [0x0ff8, 0x0ff8, 0x0ff8, 0x0ff8]
ASEs implemented        : mips16
shadow register sets    : 1
core                    : 0
VCED exceptions         : not available
VCEI exceptions         : not available

comment:4 Changed 8 years ago by jake1981 <oskari.rauta@…>

Built from scratch and it didn't help. r16218 has 2 patches that are missing from r16216 and both concern madwifi, which ain't used on brcm47xx-2.6 so it must be something else..

comment:5 follow-up: Changed 8 years ago by jake1981 <oskari.rauta@…>

But I can verify that using 0.9.29 works..

comment:6 in reply to: ↑ 5 Changed 8 years ago by desigabri

Replying to jake1981 <oskari.rauta@…>:

But I can verify that using 0.9.29 works..

hi
I've problems too
my problems aren't realted to WAN but only at LAN side (it seems to me).

before your previus patch I wasn't able to connect to the eth1 so my router wasn't accessible via web and via SCP.
At this time I can connect to it via WEB (just a nice patch) BUT

I still have problems trying connecting via SCP ==.

When I try to ping any address in the LAN side I get segmentation fault and the eth1 onto web isn't able to turn ON.
By this way I'm not able to edit config files because vi (I really don't like it sorry) doesn't work: it doesn't show all lines to edit and when I try editing some files all goes wrong pieces of a line under another, with spaces, strange caracters... I haven't any possibility to edit anything! It's terrible frustrating. By the way that I'm compiling for ath9k driver that isn't finished, I can change setting only by editing config files...I have to try trunk version after trunk version and hope someone fix the problem....I can't test anything in this way

comment:7 follow-up: Changed 8 years ago by Daniel Dickinson <cshore@…>

brcm63xx also is having segfaults when doing /etc/init.d/network restart

A previous build with 0.9.30 worked (before the trunk was switched), so I'm not sure it's as simple as being uClibc version.

comment:8 in reply to: ↑ 7 Changed 8 years ago by desigabri

Replying to Daniel Dickinson <cshore@…>:

brcm63xx also is having segfaults when doing /etc/init.d/network restart

A previous build with 0.9.30 worked (before the trunk was switched), so I'm not sure it's as simple as being uClibc version.

yes, I think i could not to be ralated to uClib because I tried recompiling some versions from scratch uClib 0.9.30 and found that my problems came starting from 16136 trunk version.
they seem to be ralated to hotplug2 NEW:
finishing with 16134 trunk version, LAN worked
starting from 16136 trunk version, firmware was freezing at boot for a lot of trunk version.

I'm looking to find from wich version firmware started booting again also if after that, the router wasn't pingable and impossible to connect to the luci interface and SCP for modifications. You can simply test firmware trying to ping any IP (from serial terminal) and getting segmentation fault ERROR.
I'll add every NEWS I'll find

MAY be I'll open some tickets about these problems

comment:9 follow-up: Changed 8 years ago by acinonyx

Could you please check if you have imq module loaded?

lsmod | grep imq

comment:10 in reply to: ↑ 9 Changed 8 years ago by desigabri

Replying to acinonyx:

Could you please check if you have imq module loaded?

lsmod | grep imq

KAMIKAZE (blending edge, r16299)
root@OpenWrt:/# ping 192.168.1.1
Segmentation fault
root@OpenWrt:/# lsmod | grep imq
imq 2794 0
root@OpenWrt:/#

after some tests I got these test results:

16099 -> OK
16100 -> OK
16126 -> OK
16134 -> OK
16136 (hotplug2_new) -> NO (doesn't ping, segmentation fault)
16136 (hotplug2_old) -> NO (kernel panic)
16136 (hotplug2_16134) -> OK
...
all trunk tried versions starting from here (16209,16232,16238,16239,16279,16291 and others deleted so i'm not sure about version number), they GOT:
hotplug2-new: segmentation fault pinging or freezing at boot time
hotplug2-old: segmentation fault pinging or freezing at boot time or kernel panic
...
16299 (hotplug2_new) -> NO (doesn't ping, segmentation fault)
16299 (hotplug2_old) -> NO (doesn't ping, segmentation fault)
16299 (hotplug2_16134) -> NO (doesn't ping, segmentation fault)

Here I GOT "Segmentation fault" as for hotplug2-new, hotplug2-old and hotplug2-16134 version too so I think there should be some other stuffs where we have to look for the issue...

And actually I'm going to test these patches (starting from older ones):

[16243]: [hotplug2] Removed extra ; in exec rule

[hotplug2] Removed extra ; in exec rule
By hcg — 06/01/09 10:48:37

[16231]: [package] fix drivers firmware loading with the new hotplug2, patch from ...

[package] fix drivers firmware loading with the new hotplug2, patch from Russell Senior
By florian — 05/31/09 14:08:15

#5242: defect: Still something wrong in trunk revision 16216 (new)

Okay - hotplug2 now seems to work (lan works) - BUT now there seems to be another issue - I cannot connect to internet from my lan - WAN IP cannot be set and there are a lot of segfaults. Device is wrt54gs v1.0 with branch brcm47xx-2.6 I use ud ...
By jake1981 <oskari.rauta@…> — 05/30/09 21:04:44

[16215]: [package] base-files: set rules file for hotplug2 in the boot script ...

[package] base-files: set rules file for hotplug2 in the boot script (closes #5235)
By juhosg — 05/30/09 19:09:41

[16199]: [package] hotplug2 may need -fPIC

[package] hotplug2 may need -fPIC
By jow — 05/30/09 01:11:29

[16171]: hotplug2-old: fix path to build dir

hotplug2-old: fix path to build dir
By nbd — 05/29/09 11:26:09

#5235: defect: Something wrong in trunk revision 16164 (closed: fixed)

Just removed previous files and updated to new svn tree and everything works just fine--- expect when I flash my wrt54gs (v1.0) with this firmware - it seems to "loose" lan after a short moment after bringing it up.. If I boot my rou ...
By jake1981 <oskari.rauta@…> — 05/29/09 07:09:21

COULD YOU TELL ME WHAT DO YOU THINK ABOUT IMQ MODULE? DO YOU THINK I SHOULD REMOVE IT?

comment:11 follow-up: Changed 8 years ago by acinonyx

Yes, could you please boot latest svn build without kmod-ipt-imq? I have noticed that in my case IMQ triggers these segfaults.

comment:12 in reply to: ↑ 11 Changed 8 years ago by desigabri

YESSSSS!!!

Very good! I removed the package you wrote about. I should reboot router and after the reboot it started pinging. Now I'm able to connect via SCP to modify files (I hate VI and it doesn't work well on OpenWrt...) and connect to the router via wireless too.

The only problem is that I can't unselect that package before compiling firmware because it is selected without possibility to modify it. I don't know which other packages want it so I have to remove it after the firmware flash time.

ANYWAY THANKS A LOT!!!
I'm running 16299 trunk version default plus USB (not USB2 because it stopped working some time ago), ath9k, for BCM63xx AGPF_S0 (Alice Gate).

comment:13 follow-up: Changed 8 years ago by juhosg

  • Resolution set to fixed
  • Status changed from new to closed

Fixed with [16304].

comment:14 in reply to: ↑ 13 Changed 8 years ago by anonymous

Replying to juhosg:

Fixed with [16304].

very well: i comfirm that starting form version 16309 (no tried previus ones) I can ping and access to the web interface without removing the kmod-imt-imq.pk package just after the flash.
thanks a lot

comment:15 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.